wreport::tests::ActualFunction Struct Reference
Inheritance diagram for wreport::tests::ActualFunction:

## Public Member Functions

void | throws (const std::string &what_match) const
| Actual (const A &actual)
Public Member Functions inherited from wreport::tests::Actual< std::function< void()> >
| Actual (const std::function< void()> &actual)
void | istrue () const
void | isfalse () const
void | operator== (const E &expected) const
void | operator!= (const E &expected) const
void | operator< (const E &expected) const
void | operator<= (const E &expected) const
void | operator> (const E &expected) const
void | operator>= (const E &expected) const

## Additional Inherited Members

Data Fields inherited from wreport::tests::Actual< std::function< void()> >
std::function< void()> | _actual

The documentation for this struct was generated from the following file:

- utils/tests.h